#ifndef CLICKSPLITTER_H
#define CLICKSPLITTER_H
#include <QSplitter>
#include <QSplitterHandle>

class ClickSplitterHandle : public QSplitterHandle
{
  Q_OBJECT
  public:
    ClickSplitterHandle(Qt::Orientation o, QSplitter *parent = 0);
    void mouseDoubleClickEvent(QMouseEvent *e);
  private:
    int lastUncollapsedSize;
};

class ClickSplitter : public QSplitter
{
  Q_OBJECT
  friend class ClickSplitterHandle;
  public:
    ClickSplitter(Qt::Orientation o, QSplitter *parent = 0)
     : QSplitter(o, parent) {}
    ClickSplitter(QSplitter *parent = 0)
     : QSplitter(parent) {}

  protected:
    QSplitterHandle * createHandle() { 
      return new ClickSplitterHandle(orientation(), this); 
    }
};
#endif // CLICKSPLITTER_H
